Summary:       Jack Convolution Engine
Name:          jconv
Version:       0.8.1
Release:       2%{?dist}
License:       GPLv2+
Group:         Applications/Multimedia
URL:           http://www.kokkinizita.net/linuxaudio/
Source0:       http://www.kokkinizita.net/linuxaudio/downloads/%{name}-%{version}.tar.bz2
# Demo reverbs
Source1:       http://www.kokkinizita.net/linuxaudio/downloads/%{name}-reverbs.tar.bz2
# Our libsndfile is not compiled with ambisonic flags
Patch0:        %{name}-noambisonics.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Obsoletes:     jace <= 0.2.0
Provides:      jace = %{version}-%{release}


BuildRequires: clthreads-devel 
BuildRequires: fftw-devel 
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libsndfile-devel 
BuildRequires: zita-convolver-devel

%description
Jconv is a Convolution Engine for JACK, based on FFT convolution and using
non-uniform partition sizes: small ones at the start of the IR and building up
to the most efficient size further on. It can perform zero-delay processing
with moderate CPU load.

%prep
%setup -q -a 1
%patch0 -p1 -b noambisonic

# fix paths of configuration files
find config-files/ -name \*.conf \
  -exec sed -i -e "s|/audio/reverbs|%{_datadir}/%{name}/reverbs|g" {} \; \
  -exec sed -i -e "s|^#/cd |/cd |g" {} \;

# Force Fedora's optflags
sed -i 's|-O3|%{optflags}|' Makefile

%build
make %{?_smp_mflags} PREFIX=%{_prefix} LIBDIR=%{_lib}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
make install PREFIX=%{buildroot}%{_prefix} LIBDIR=%{_lib}

# install configuration files and demo reverbs
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -a config-files/* %{buildroot}%{_datadir}/%{name}
cp -a reverbs/ %{buildroot}%{_datadir}/%{name}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS README* COPYING
%{_bindir}/*
%{_datadir}/%{name}/

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May 05 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.8.1-1
- update version to 0.8.1
- prepare package for Fedora submission (SPEC file from PlanetCCRMA)

* Sat Mar 21 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.0-2
- fix typo in uhjenc.conf

* Sat Mar 21 2009 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.0-1
- updated to 0.8.0, include new extended demo reverb files
- move configuration and examples to /usr/share/jconv/

* Wed Oct 29 2008 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0-1
- package renamed to jconv from jace, now uses the zita-convolver library
- upgrade to jconv 0.2.0

* Wed Sep  5 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0-1
- update to 0.2.0
- add springreverb.wav

* Thu Apr 19 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-1
- update to 0.1.0

* Sun Apr  1 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.4-2
- update to 0.0.4
- include lucia.wav example impulse response
- tweak demo configuration files to point to the doc directory

* Tue Dec 12 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.0.3-2
- build on fc6

* Sat May 13 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.8-1
- initial build
